﻿
$ErrorActionPreference = 'Stop';

$packageName= 'gitea'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://dl.gitea.com/gitea/1.21.11/gitea-1.21.11-windows-4.0-386.exe'
$url64      = 'https://dl.gitea.com/gitea/1.21.11/gitea-1.21.11-windows-4.0-amd64.exe'

$packageArgs = @{
  packageName   = $packageName

  url           = $url
  url64bit      = $url64

  softwareName  = 'Gitea'

  checksum      = 'e234855801ff9435c3a4483d6361abf93abae2833178250d70751eb75b4dec3a'
  checksumType  = 'sha256'
  checksum64    = '498e2e6d00ccd9c94dc1c6ce204df897722b4b6113524853829c6dcb48532e5c'
  checksumType64= 'sha256'

  fileFullPath  = "$toolsDir\gitea.exe"

  validExitCodes= @(0)
}

Get-ChocolateyWebFile @packageArgs
